Get application beneficiary by id
curl --request GET \
--url https://api.yapily.com/applications/{applicationId}/beneficiaries/{beneficiaryId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.yapily.com/applications/{applicationId}/beneficiaries/{beneficiaryId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.yapily.com/applications/{applicationId}/beneficiaries/{beneficiaryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"tracingId": "<string>"
},
"data": {
"beneficiaryId": "e7b7636d-a041-4013-8a1b-34dc85b7d341",
"details": {
"name": "John Doe",
"accountIdentifier": {
"type": "IBAN",
"identification": "DE12345123451234512345123"
}
}
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 400,
"status": "BAD_REQUEST",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "BAD_REQUEST",
"code": 10600,
"message": "The server could not understand the request due to invalid syntax"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 400,
"status": "BAD_REQUEST",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "BAD_REQUEST",
"code": 10600,
"message": "The server could not understand the request due to invalid syntax"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 400,
"status": "BAD_REQUEST",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "BAD_REQUEST",
"code": 10600,
"message": "The server could not understand the request due to invalid syntax"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 400,
"status": "BAD_REQUEST",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "BAD_REQUEST",
"code": 10600,
"message": "The server could not understand the request due to invalid syntax"
}
]
}
}Application Beneficiaries
Get application beneficiary by id
Get user beneficiary by id.
Get application beneficiary by id
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Path Parameters
Yapily application Id
Example:
"6d97cf35-1000-4787-af16-7100912db9e4"
Beneficiary Id
Example:
"e7b7636d-a041-4013-8a1b-34dc85b7d341"
Was this page helpful?
⌘I